> For the complete documentation index, see [llms.txt](https://docs.navigaglobal.com/writer/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.navigaglobal.com/writer/6.1.1/api-reference/uicomponents/uitimepicker.md).

# UITimePicker

Create a simple input with time-picker functionality.

## Properties

| Name        | Type       | Default | Description                                                                                                                       |
| ----------- | ---------- | ------- | --------------------------------------------------------------------------------------------------------------------------------- |
| placeholder | `string`   |         | **Required** - The text of the placeholder if no time is selected                                                                 |
| value       | `string`   |         | **Required** - The time to present in the input, should be in `HH:mm` format (12:00), if empty string, value will be set to "now" |
| disabled    | `boolean`  | `false` | Set to true to disable input                                                                                                      |
| onChange    | `function` |         | Callback for when the input is changed, callback will be called with one argument, the new value in `HH:mm` format                |

## Example

```javascript
import {UITimePicker} from 'writer'

render($$) {
    return $$('div').append(
        $$(UITimePicker, {
            value: '11:15',
            disabled: false,
            onChange: (newValue) => {
                this.extendState({ inputTimeValue: newValue })
            },
        }).ref('myInputTimeValue')
    )
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.navigaglobal.com/writer/6.1.1/api-reference/uicomponents/uitimepicker.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
